Preload access controll lists
=============================

If you're working with a bunch of objects at the same time, there is a chance that you end up performing far too many queries.
You can cut down the amount of queries generated by the `AclManager` by preloading access control lists to the cache.

``` php
$manager = $container->('albegali_acl.manager');
$objects = // ...

$manager->preload($objects);
```

This will cache the Acls for the given objects and the current logged in user to a `CollectionCache`.
You can specifiy the token by providing a second parameter.

``` php
$manager = $container->('albegali_acl.manager');
$token = $container->get('security.context')->getToken();
$objects = // ...

$manager->preload($objects, $token);
```

> Credit where credit is due: Thanks Jeroen Hoek and his [thread](https://groups.google.com/forum/#!topic/symfony2/H2JotbyW_fw) on Google Groups.
